summaryrefslogtreecommitdiffstats
path: root/extra/source/bittorrent/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/bittorrent/doinst.sh')
-rw-r--r--extra/source/bittorrent/doinst.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/extra/source/bittorrent/doinst.sh b/extra/source/bittorrent/doinst.sh
new file mode 100644
index 000000000..3b84c3043
--- /dev/null
+++ b/extra/source/bittorrent/doinst.sh
@@ -0,0 +1,10 @@
+# Add bittorrent support to /etc/mailcap unless it's found there
+# already (commented out, or not):
+if ! grep application/x-bittorrent etc/mailcap 1> /dev/null 2> /dev/null ; then
+ echo "application/x-bittorrent; /usr/bin/bittorrent-xterm '%s' ; " >> etc/mailcap
+else
+ # If it calls btdownloadxterm.sh, make bittorrent-xterm the default instead:
+ if grep btdownloadxterm etc/mailcap 1> /dev/null 2> /dev/null ; then
+ sed -i -e 's/btdownloadxterm.sh/bittorrent-xterm/g' etc/mailcap
+ fi
+fi